Debian GNU/Linux 2.2 -- Errata

Debian GNU/Linux 2.2 on vanhentunut ja tilalle on tullut Debian GNU/Linux 3.0 ("woody"). Tietoturvapäivitykset on lopetettu kesäkuun 30. 2003. Voit katsoa lisätietoja tietoturvaryhmän selvityksen tuloksista.

Tietoturva

Debianin tietoturvaryhmä julkaisee päivitettyjä paketteja vakaaseen julkaisuun kun tietoturvaan liittyvä ongelma on löytynyt. Tietoturvasivuilta löydät tietoa vakaata julkaisua koskevista tunnetuista tietoturvaongelmista.

Jos käytät apt:tä, lisää seuraava rivi /etc/apt/sources.list -tiedostoon jotta saisit viimeisimmät tietoturvapäivitykset:

  deb http://security.debian.org/ potato/updates main contrib non-free

Sen jälkeen, suorita komennot apt-get update ja apt-get upgrade.

Puolijulkaisut

Silloin tällöin julkaistua jakelua päivitetään useiden kriittisten ongelmien tai tietoturvaongelmien korjaamiseksi. Nämä päivitykset kootaan korjausversioksi.

Katso muutoslistasta (ja non-US-muutoslistasta) tarkempia tietoja muutoksista.

Korjaukset julkaistuun vakaaseen jakeluun menevät usein laajan testausjakson kautta, ennen kuin ne hyväksytään arkistoon. Kuitenkin, nämä korjaukset ovat saatavilla dists/potato-proposed-updates-hakemistossa jokaisen Debianin peilin arkistossa (ja vastaavassa paikassa myös meidän non-US-palvelimellamme ja sen peileillä).

Jos päivität pakettisi apt:llä, voit asentaa ehdotetut päivitykset järjestelmääsi lisäämällä seuraavat rivit /etc/apt/sources.list-tiedostoon:

  # ehdotetut muutokset version 2.2 päivitysversioon
  deb http://archive.debian.org dists/proposed-updates/
  deb http://archive.debian.org/debian-non-US dists/potato-proposed-updates/

Tämän jälkeen suorita komennot apt-get update ja apt-get upgrade.

Epävirallinen kansainvälistetty asennusohjelma

Kansainvälinen versio asennusohjelmasta i386:lle on saatavilla (http://people.debian.org/~aph/current-i18n/) testattavaksi ja käytettäväksi. Käytä 'idepci'- tai 'compact'-versioita.

Joidenkin kansainvälisessä asennusohjelmassa jäljellä olevien ongelmien vuoksi, on epätodennäköistä että se sisällytettäisiin virallisesti Potaton korjausversioon. Voimme vain toivoa että se saadaan kuntoon woody-jakeluun.

Epävirallinen ReiserFS-tuki

Saatavilla on ainakin kaksi epävirallista versiota ReiserFS:ää tukevasta i386-asennusohjelmasta.

Ensimmäinen on John H. Robinson, IV:ltä ja se on saatavilla ohjeiden kera osoitteesta http://chao.ucsd.edu/debian/boot-floppies/.

Toinen on Marc A. Volovic:ilta ja se löytyy osoitteesta http://www.bard.org.il/~marc/linux/rfs/.

Epävirallinen Linux Kernel 2.4:n tuki

Adrian Bunk on järjestänyt i386 Potato-järjestelmille muutaman paketin, joiden avulla 2.4-ytimen käyttö on mahdollista. Lue http://www.fs.tum.de/~bunk/kernel-24.html osoitteesta lisäohjeita, varoituksia ja tarvittavat muutokset /etc/apt/sources.list-tiedostoon.